preload button hover image:
HomeSearchRankingsStatisticsAboutContact
Current Time: Apr 22, 2021, 11:30:54 am
 Dwarf Fortress File Depot » Game Releases » LinuxDwarfPack-0.47.05-r1 (DFHack-r1)
      
Registration is not required to download. However, it will allow you to vote, comment, and upload. Forgot your password?
File Listing: LinuxDwarfPack-0.47.05-r1 (DFHack-r1)
Last Updated: Mar 08, 2021, 02:05:24 pm
First Created: May 04, 2020, 03:11:20 pm
File version: 0.47.05-r1
For DF version: 0.47.05
Downloads: 578 (2,670) Size: 81.92 MB
Views: 1,605 (6,083) Type: BZ2
Home:  LinuxDwarfPack
Rating (0 votes): Unrated
Description
A simple ready-to-play pack for Linux that includes:
- DwarfFortress 0.47.05
- DFHack 0.47.05-r1 + TwbT
- Dwarf Therapist v41.2.1
- Legends Browser v1.19.2
- Announcement Window v1.3.0
- compatible DFGraphics tilesets: Spacefox, Ironhand, Phoebus, Vettlingr, Meph ...

Unpack with:
$ tar xjf LinuxDwarfPack-0.47.05-r1.tar.bz2
and start with:
$ LinuxDwarfPack-0.47.05-r1/startlnp.sh

DEB, RPM, Arch and AppImage packages are also available here.

support_large.png or btn_donate_LG.gif
Raw Data: JSON / Text
Checksum / Hash
SHA-256: 5761a260628edfee7362497deb53b5f6ec7820b80aa4d728f8ad6c1543e83283
IP: logged
Commands
More From This Author
Comments
IP: logged
 LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by McArcady1 on May 12, 2020, 07:54:24 am
In case of crashes with 0.47.04, look for hints on this thread:
https://www.reddit.com/r/dwarffortress/comments/ggz78a/new_df_crashing_on_linux/
IP: logged
 LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by simeon7 on May 13, 2020, 07:30:28 pm
I'm very new to using linux and to DF. So I was totally pumped to see this.
Download - np
unpacking - used "tar xvf" instead of xjf. Np
running: Can't get it to launch
I went to the LinuxDwarfPack-0.47.04-r2 directory and typed the command listed - errors

I probably have to type something slightly different.
My Linux kernal is Penguin and my distribution is Debian

Suggestions?
IP: logged
 Re: LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by Faxe on May 15, 2020, 03:36:16 am
simeon7 wrote:
I'm very new to using linux and to DF. So I was totally pumped to see this.
Download - np
unpacking - used "tar xvf" instead of xjf. Np
running: Can't get it to launch
I went to the LinuxDwarfPack-0.47.04-r2 directory and typed the command listed - errors

I probably have to type something slightly different.
My Linux kernal is Penguin and my distribution is Debian

Suggestions?

Some things that come to the mind:
- Check if tk is installed for python
- Check if Java is installed for some of the plugins
- If available, download the base game via your distro package-manager to get rid of other possible missing dependencies
IP: logged
 LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by simeon7 on May 15, 2020, 08:07:51 pm
Thanks for the suggestions. They actually match the error messages I was getting... which I should have included in my post...
So, props for the excellent knowledge with very little info!
I'll give it a try
IP: logged
 Re: LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by brad.edmondson on May 17, 2020, 02:39:11 pm
simeon7 wrote:
Thanks for the suggestions. They actually match the error messages I was getting... which I should have included in my post...
So, props for the excellent knowledge with very little info!
I'll give it a try

On Manjaro, I had to install tk, sdl_ttf, and xterm (I think these all had to be manually installed). Set terminal to xterm and away you go! Java is required for the legends browser, but other than that you should be good. If you're still having trouble, copy and paste your exact error message output, to help us diagnose.
IP: logged
 LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by brad.edmondson on May 17, 2020, 02:40:52 pm
@McArcady1 - seems to be missing stonesense dfhack plugin. Was that a deliberate choice? I thought I'd read that stonesense was becoming more stable again, but wasn't really sure.
IP: logged
 Re: LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by McArcady1 on May 19, 2020, 04:08:11 pm
brad.edmondson wrote:
@McArcady1 - seems to be missing stonesense dfhack plugin. Was that a deliberate choice? I thought I'd read that stonesense was becoming more stable again, but wasn't really sure.
Indeed, for some reason it was deactivated at build. I will include it for the next release, but no guarantee that it works ...
IP: logged
 LinuxDwarfPack-0.47.04-r5 (DFHack-r (v 0.47.04-r5)  » posted by IamRiley on Feb 01, 2021, 07:20:48 pm
Hello!~ looking for some help!

I'm running Ubuntu 20.04 and im new to Linux ( but im a DF vet :lol: ) I'm able to run dwarf fort fine from a vanilla install i got through the ubuntu software manager, but im having trouble with the LNP.

I installed this pack without too many issues- but when i click "Play Dwarf Fortress" from the LNP launcher it doesn't run. Or rather- i see a terminal flash up for a split second and then crash.

It did create a stderr, which says the following:
Quote:
Running PyLNP 0.14a (OS: linux, Compiled: False)
WARNING: No PIL support available - cannot perform image manipulation
WARNING: Could not determine installed graphics, tileset is curses_640x300.png/curses_square_16x16.png

I'm not sure what "Compiled:False" implies but that seems bad, eh? I'm also not sure what PIL or how i fix that dependency.

If anyone's got a clue, I'd love some help here. cheers.
IP: logged
 Re: LinuxDwarfPack-0.47.04-r5 (DFHack-r (v 0.47.04-r5)  » posted by McArcady1 on Feb 05, 2021, 01:18:48 pm
IamRiley wrote:
It did create a stderr, which says the following:
Quote:
Running PyLNP 0.14a (OS: linux, Compiled: False)
WARNING: No PIL support available - cannot perform image manipulation
WARNING: Could not determine installed graphics, tileset is curses_640x300.png/curses_square_16x16.png
I'm not sure what "Compiled:False" implies but that seems bad, eh? I'm also not sure what PIL or how i fix that dependency.
Hello Riley,
have you tried the pack for Debian/Ubuntu instead ?
It should be more convenient and may solve problems with dependencies.
"Compiled False" should not be a problem.
Also, try installing "sudo pip3 install pillow" to fix the "PIL" error.
IP: logged
 Re: LinuxDwarfPack-0.47.04-r5 (DFHack-r (v 0.47.04-r5)  » posted by IamRiley on Feb 11, 2021, 12:12:30 pm
McArcady1 wrote:
IamRiley wrote:
It did create a stderr, which says the following:
Quote:
Running PyLNP 0.14a (OS: linux, Compiled: False)
WARNING: No PIL support available - cannot perform image manipulation
WARNING: Could not determine installed graphics, tileset is curses_640x300.png/curses_square_16x16.png
I'm not sure what "Compiled:False" implies but that seems bad, eh? I'm also not sure what PIL or how i fix that dependency.
Hello Riley,
have you tried the pack for Debian/Ubuntu instead ?
It should be more convenient and may solve problems with dependencies.
"Compiled False" should not be a problem.
Also, try installing "sudo pip3 install pillow" to fix the "PIL" error.

Thanks for your help! I installed a few libraries and it ended up solving the issue
comment last edited by IamRiley on Feb 11, 2021, 12:14:08 pm
IP: logged
 Re: LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by Herschenglime on Mar 13, 2021, 04:41:25 pm
brad.edmondson wrote:
simeon7 wrote:
Thanks for the suggestions. They actually match the error messages I was getting... which I should have included in my post...
So, props for the excellent knowledge with very little info!
I'll give it a try

On Manjaro, I had to install tk, sdl_ttf, and xterm (I think these all had to be manually installed). Set terminal to xterm and away you go! Java is required for the legends browser, but other than that you should be good. If you're still having trouble, copy and paste your exact error message output, to help us diagnose.

Using your suggestions, I managed to get the the pylnp interface to launch. Thanks! However, I'm having some scaling issues. I'm using Manjaro KDE and a 4k, 15inch laptop screen. I have a 275% scale set in the settings, and for the most part it works. However, the pyLNP interface is absolutely minuscule. After doing some digging into tk, I added the line root.tk.call('tk', 'scaling', 2.5) to tkgui.py in the tkgui folder and it helped some. However, its still really hard to see. Setting a scale factor of 4 and up seems to have no effect and the window goes back to its original, even smaller size.

Additionally, the text in the menus is white on a white background which makes it really hard to see. I'm assuming this is an issue with GTK or something, but I'm not 100% sure what I'd need to change to fix it. Both relevant images are in the attached imgur album.
https://imgur.com/a/FQ0N9X6
Thank you for your help!
IP: logged
 Re: LinuxDwarfPack-0.47.04-r2 (DFHack-r (v 0.47.04-r2)  » posted by McArcady1 on Mar 15, 2021, 01:31:57 pm
Herschenglime wrote:
Using your suggestions, I managed to get the the pylnp interface to launch. Thanks! However, I'm having some scaling issues. I'm using Manjaro KDE and a 4k, 15inch laptop screen. I have a 275% scale set in the settings, and for the most part it works. However, the pyLNP interface is absolutely minuscule. After doing some digging into tk, I added the line root.tk.call('tk', 'scaling', 2.5) to tkgui.py in the tkgui folder and it helped some. However, its still really hard to see. Setting a scale factor of 4 and up seems to have no effect and the window goes back to its original, even smaller size.
The PyLNP scaling problem is traced here, if you want to add information for the maintainers. Still it doesn't seem it will be fixed easily.
IP: logged
 LinuxDwarfPack-0.47.05-r1 (DFHack-r (v 0.47.05-r1)  » posted by dwarf on Mar 18, 2021, 08:56:32 am
Please advise:
Quote:
WARNING: JSONConfiguration: File PyLNP.user does not exist
comment last edited by dwarf on Mar 18, 2021, 08:57:02 am
HomeSearchRankingsStatisticsAboutContact

Website © 2021 FenriSoft. The core site script is PHCDownload (© 2005-2021).
Hosted by Linode.